package com.example.qualitychecker.apiservice;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class RetrofitClient {

    private final static  String BASE_URL =  "http://192.168.91.16:8080/uind/";
    private static Retrofit retrofit;

    public synchronized static Retrofit getClient() {

        Gson gson = new GsonBuilder()
                .registerTypeAdapter(Boolean.class, new BooleanTypeAdapter())
                .create();

        if ( retrofit == null ) {
            retrofit = new Retrofit.Builder()
                    .baseUrl( BASE_URL )
                    .addConverterFactory( GsonConverterFactory.create( gson ) )
                    .build();
        }
        return retrofit;
    }
}
