package com.example.qualitychecker.models;

import java.util.Arrays;

public class InspectionItemCheckPoint {

    private long id;
    private long inspectionItemId;
    private String title;
    private boolean checked;
    private String remarks;
    // wrapper
    private String defectSeverity;
    private InspectionItemDefect defect;
    private byte[] file;
    private String imagePath;

    private String defectTitle;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getInspectionItemId() {
        return inspectionItemId;
    }

    public void setInspectionItemId(long inspectionItemId) {
        this.inspectionItemId = inspectionItemId;
    }

    public byte[] getFile() {
        return file;
    }

    public void setFile(byte[] file) {
        this.file = file;
    }

    public String getDefectSeverity() {
        return defectSeverity;
    }

    public void setDefectSeverity(String defectSeverity) {
        this.defectSeverity = defectSeverity;
    }

    public void setDefect(InspectionItemDefect defect) {
        this.defect = defect;
    }

    public String getDefectTitle() {
        return defectTitle;
    }

    public void setDefectTitle(String defectTitle) {
        this.defectTitle = defectTitle;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    @Override
    public String toString() {
        return "InspectionItemCheckPoint{" +
                "id=" + id +
                ", inspectionItemId=" + inspectionItemId +
                ", title='" + title + '\'' +
                ", checked=" + checked +
                ", remarks='" + remarks + '\'' +
                ", defectSeverity='" + defectSeverity + '\'' +
                ", defect=" + defect +
                ", file=" + Arrays.toString(file) +
                ", imagePath='" + imagePath + '\'' +
                ", defectTitle='" + defectTitle + '\'' +
                '}';
    }
}
